---
updatedAt: 2025-06-11T20:42:39.000Z
agentTools:
  projectIndex: https://docs.allthatnode.com/llms.txt
---

# Kaia Quickstart

How to get started building on Kaia

> ***You'll need to[create a free All That Node account](https://www.allthatnode.com/login.dsrv) first!***

# What is Kaia?

Kaia is an open-source, enterprise-oriented blockchain that enables a user-friendly building experience through its modular infrastructure.

For more information on the Kaia, please check out the **[official documentation](https://docs.klaytn.foundation/)**.

***

## Endpoints

| Network     | Chain ID     | Endpoint                                                       |
| :---------- | :----------- | :------------------------------------------------------------- |
| **Mainnet** | 0x2019(8217) | <https://kaia-mainnet-rpc.allthatnode.com:8551/'YOUR-API-KEY'> |
| **Baobab**  | 0x3e9(1001)  | <https://kaia-baobab-rpc.allthatnode.com:8551/'YOUR-API-KEY'>  |

*\*Find 'YOUR-API-KEY' by going to the[Dashboard](https://www.allthatnode.com/dashboard.dsrv) menu (Dashboard > Project Detail Page).*

## Sample

### Request

```curl JSON RPC
curl https://kaia-mainnet-rpc.allthatnode.com/'YOUR-API-KEY' \
-X POST \
-H "Content-Type: application/json" \
-d '{ "jsonrpc":"2.0", "method":"eth_syncing", "params":[], "id":1 }' 
```

### Response

```json JSON
{
    "jsonrpc": "2.0",
    "result": false,
    "id": 1
}
```